Index: branches/DEV_r2106_LOCEAN2010/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/DEV_r2106_LOCEAN2010/CONFIG/GYRE/EXP00/namelist	(revision 2193)
+++ branches/DEV_r2106_LOCEAN2010/CONFIG/GYRE/EXP00/namelist	(revision 2238)
@@ -214,8 +214,7 @@
    sn_rnf      = 'runoff_1m_nomask' ,  -1         , 'sorunoff' ,    .true.      , .true.  , 'yearly'  , ''       , ''
    sn_cnf      = 'runoff_1m_nomask' ,   0         , 'socoefr'  ,    .false.     , .true.  , 'yearly'  , ''       , ''
-   sn_sal_rnf  = 'runoffs'          ,  24         , 'rosaline' ,    .true.      , .true.  ,   'yearly', ''       , ''
-   sn_tmp_rnf  = 'runoffs'          ,  24         , 'rotemper' ,    .true.      , .true.  ,   'yearly', ''       , ''
+   sn_s_rnf    = 'runoffs'          ,  24         , 'rosaline' ,    .true.      , .true.  ,   'yearly', ''       , ''
+   sn_t_rnf    = 'runoffs'          ,  24         , 'rotemper' ,    .true.      , .true.  ,   'yearly', ''       , ''
    sn_dep_rnf  = 'runoffs'          ,   0         , 'rodepth'  ,    .false.     , .true.  ,   'yearly', ''       , ''
- 
    cn_dir       = './'      !  root directory for the location of the runoff files
    ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
@@ -225,4 +224,7 @@
    rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
    rn_rfact     =   1.e0    !  multiplicative factor for runoff
+   ln_rnf_depth =  .false.  !  read in depth information for runoff
+   ln_rnf_temp  =  .false.  !  read in temperature information for runoff
+   ln_rnf_sal   =  .false.  !  read in salinity information for runoff
 /
 !-----------------------------------------------------------------------
@@ -406,4 +408,5 @@
    ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
    ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+   ln_traldf_grif   =  .false.  !     griffies skew flux formulation    (require "key_ldfslp")
                            !  Coefficient
    rn_aht_0         =  1000.    !     horizontal eddy diffusivity for tracers [m2/s]
@@ -483,6 +486,7 @@
    ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
                            !  Coefficient
-   rn_ahm_0    = 100000.        !  horizontal eddy viscosity   [m2/s]
-   rn_ahmb_0   =     0.         !  background eddy viscosity for ldf_iso [m2/s]
+   rn_ahm_0_lap     = 100000.   !  horizontal laplacian eddy viscosity   [m2/s]
+   rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
+   rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s]
 /
 !!======================================================================
@@ -568,4 +572,22 @@
 /
 !-----------------------------------------------------------------------
+&namzdf_gls                !   GLS vertical diffusion  ("key_zdfgls")
+!-----------------------------------------------------------------------
+   rn_emin     =   1.e-6   !  minimum value of e   [m2/s2]
+   rn_epsmin   =   1.e-12  !  minimum value of eps [m2/s3]
+   ln_length_lim = .true.  !  limit on the dissipation rate under stable stratification (Galperin et al., 1988)
+   clim_galp   =   0.53    !  galperin limit
+   ln_crban = .TRUE.       !  Use Craig & Banner (1994) surface wave mixing parametrisation
+   ln_sigpsi = .TRUE.      !  Activate or not Burchard 2001 mods on psi schmidt number in the wb case
+   rn_crban = 100.         !  Craig and Banner 1994 constant for wb tke flux
+   rn_charn =  70000.      !  Charnock constant for wb induced roughness length
+   nn_tkebc_surf  =   1    !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_tkebc_bot   =   1    !  bottom tke condition (0/1=Dir/Neum)
+   nn_psibc_surf  =   1    !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_psibc_bot   =   1    !  bottom psi condition (0/1=Dir/Neum)
+   nn_stab_func   =   2    !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
+   nn_clos        =   1    !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
+/
+!-----------------------------------------------------------------------
 &namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
 !-----------------------------------------------------------------------
@@ -686,2 +708,110 @@
    ln_diahsb  = .false.     !  check the heat and salt budgets (T) or not (F)
 /
+!-----------------------------------------------------------------------
+!       namobs    observation usage switch
+!-----------------------------------------------------------------------
+!
+!  ln_t3d                  Logical switch for T profile observations         
+!  ln_s3d                  Logical switch for S profile observations          
+!  ln_ena                  Logical switch for ENACT insitu data set           
+!  ln_cor                  Logical switch for Coriolis insitu data set       
+!  ln_profb                Logical switch for feedback insitu data set     
+!  ln_sla                  Logical switch for SLA observations               
+!  ln_sladt                Logical switch for AVISO SLA data              
+!  ln_slafb                Logical switch for feedback SLA data            
+!  ln_ssh                  Logical switch for SSH observations              
+!  ln_sst                  Logical switch for SST observations              
+!  ln_reysst               Logical switch for Reynolds observations       
+!  ln_ghrsst               Logical switch for GHRSST observations          
+!  ln_sstfb                Logical switch for feedback SST data          
+!  ln_sss                  Logical switch for SSS observations              
+!  ln_seaice               Logical switch for Sea Ice observations        
+!  ln_vel3d                Logical switch for velocity observations         
+!  ln_velavcur             Logical switch for velocity daily av. cur.    
+!  ln_velhrcur             Logical switch for velocity high freq. cur.   
+!  ln_velavadcp            Logical switch for velocity daily av. ADCP  
+!  ln_velhradcp            Logical switch for velocity high freq. ADCP
+!  ln_velfb                Logical switch for feedback velocity data       
+!  ln_grid_global          Global distribtion of observations         
+!  ln_grid_search_lookup   Logical switch for obs grid search w/lookup table  
+!  grid_search_file        Grid search lookup file header 
+!  enactfiles              ENACT input observation file names 
+!  coriofiles              Coriolis input observation file name  
+!  profbfiles              Profile feedback input observation file name 
+!  ln_profb_enatim         Enact feedback input time setting switch    
+!  slafilesact             Active SLA input observation file name
+!  slafilespas             Passive SLA input observation file name 
+!  slafbfiles              Feedback SLA input observation file name 
+!  sstfiles                GHRSST input observation file name       
+!  sstfbfiles              Feedback SST input observation file name 
+!  seaicefiles             Sea Ice input observation file name 
+!  velavcurfiles           Vel. cur. daily av. input file name  
+!  velhvcurfiles           Vel. cur. high freq. input file name  
+!  velavadcpfiles          Vel. ADCP daily av. input file name    
+!  velhvadcpfiles          Vel. ADCP high freq. input file name 
+!  velfbfiles              Vel. feedback input observation file name 
+!  dobsini                 Initial date in window YYYYMMDD.HHMMSS       
+!  dobsend                 Final date in window YYYYMMDD.HHMMSS         
+!  n1dint                  Type of vertical interpolation method        
+!  n2dint                  Type of horizontal interpolation method       
+!  ln_nea                  Rejection of observations near land switch    
+!  nmsshc                  MSSH correction scheme                         
+!  mdtcorr                 MDT  correction                               
+!  mdtcutoff               MDT cutoff for computed correction          
+!  ln_altbias              Logical switch for alt bias                
+!  ln_ignmis               Logical switch for ignoring missing files   
+!  endailyavtypes          ENACT daily average types                    
+ &namobs
+   ln_t3d = .false.
+   ln_s3d = .false.
+   ln_ena = .false.
+   ln_profb = .false.
+   ln_sla = .false.
+   ln_sladt = .false.
+   ln_slafb = .false.
+   ln_sst = .false.
+   ln_sstfb = .false.
+   nmsshc = 0
+   profbfiles = 'profiles_01.nc'
+   slafbfiles = 'sla_01.nc'
+   sstfbfiles = 'sst_01.nc' 'sst_02.nc' 'sst_03.nc' 'sst_04.nc' 'sst_05.nc'
+   ln_altbias = .false.
+   ln_grid_global = .true.
+   ln_grid_search_lookup = .false.
+   ln_ignmis = .true.  
+/ 
+!-----------------------------------------------------------------------
+!       nam_asminc    assimilation increments namelist
+!-----------------------------------------------------------------------
+! ln_bkgwri   Logical switch for writing out background state 
+! ln_trjwri   Logical switch for writing out state trajectory
+! ln_trainc   Logical switch for applying tracer increments
+! ln_dyninc   Logical switch for applying velocity increments
+! ln_sshinc   Logical switch for applying SSH increments 
+! ln_asmdin   Logical switch for Direct Initialization (DI)
+! ln_asmiau   Logical switch for Incremental Analysis Updating (IAU)
+! nitbkg      Timestep of background in [0,nitend-nit000-1]
+! nitdin      Timestep of background for DI in [0,nitend-nit000-1]
+! nitiaustr   Timestep of start of IAU interval in [0,nitend-nit000-1]
+! nitiaufin   Timestep of end of IAU interval in [0,nitend-nit000-1]
+! niaufn      Type of IAU weighting function
+! nittrjfrq   Frequency of trajectory output for 4D-VAR
+! ln_salfix   Logical switch for ensuring that the sa > salfixmin
+! salfixmin   Minimum salinity after applying the increments
+&nam_asminc
+    ln_bkgwri = .false.
+    ln_trjwri = .false.
+    ln_trainc = .false.
+    ln_dyninc = .false.
+    ln_sshinc = .false.
+    ln_asmdin = .false.
+    ln_asmiau = .false.
+    nitbkg = 0
+    nitdin = 0
+    nitiaustr = 1
+    nitiaufin = 15
+    niaufn = 0
+    nittrjfrq = 0
+    ln_salfix = .false.
+    salfixmin = -9999
+/