Index: branches/nemo_v3_3_beta/DOC/TexFiles/Chapters/Chap_LDF.tex
===================================================================
--- branches/nemo_v3_3_beta/DOC/TexFiles/Chapters/Chap_LDF.tex	(revision 2243)
+++ branches/nemo_v3_3_beta/DOC/TexFiles/Chapters/Chap_LDF.tex	(revision 2282)
@@ -7,5 +7,8 @@
 \minitoc
 
+
+\newpage
 $\ $\newline    % force a new ligne
+
 
 The lateral physics terms in the momentum and tracer equations have been 
@@ -18,9 +21,9 @@
 and for tracers only, eddy induced advection on tracers). These three aspects 
 of the lateral diffusion are set through namelist parameters and CPP keys 
-(see the nam\_traldf and nam\_dynldf below).
+(see the \textit{nam\_traldf} and \textit{nam\_dynldf} below).
 
 %-----------------------------------nam_traldf - nam_dynldf--------------------------------------------
-\namdisplay{nam_traldf} 
-\namdisplay{nam_dynldf} 
+\namdisplay{namtra_ldf} 
+\namdisplay{namdyn_ldf} 
 %--------------------------------------------------------------------------------------------------------------
 
@@ -29,5 +32,6 @@
 % Lateral Mixing Coefficients
 % ================================================================
-\section {Lateral Mixing Coefficient (\mdl{ldftra}, \mdl{ldfdyn)} }
+\section [Lateral Mixing Coefficient (\textit{ldftra}, \textit{ldfdyn})] 
+		  {Lateral Mixing Coefficient (\mdl{ldftra}, \mdl{ldfdyn}) }
 \label{LDF_coef}
 
@@ -38,8 +42,9 @@
 momentum. Six CPP keys control the space variation of eddy coefficients: 
 three for momentum and three for tracer. The three choices allow: 
-a space variation in the three space directions, in the horizontal plane, 
-or in the vertical only. The default option is a constant value over the whole 
-ocean on both momentum and tracers. 
-
+a space variation in the three space directions (\key{traldf\_c3d},  \key{dynldf\_c3d}), 
+in the horizontal plane (\key{traldf\_c2d},  \key{dynldf\_c2d}), 
+or in the vertical only (\key{traldf\_c1d},  \key{dynldf\_c1d}). 
+The default option is a constant value over the whole ocean on both momentum and tracers. 
+   
 The number of additional arrays that have to be defined and the gridpoint 
 position at which they are defined depend on both the space variation chosen 
@@ -60,5 +65,5 @@
 When none of the \textbf{key\_ldfdyn\_...} and \textbf{key\_ldftra\_...} keys are 
 defined, a constant value is used over the whole ocean for momentum and 
-tracers, which is specified through the \np{ahm0} and \np{aht0} namelist 
+tracers, which is specified through the \np{rn\_ahm0} and \np{rn\_aht0} namelist 
 parameters.
 
@@ -67,9 +72,9 @@
 Indeed in all the other types of vertical coordinate, the depth is a 3D function 
 of (\textbf{i},\textbf{j},\textbf{k}) and therefore, introducing depth-dependent 
-mixing coefficients will require 3D arrays, $i.e.$ \key{ldftra\_c3d} and \key{ldftra\_c3d}.  
-In the 1D option, a hyperbolic variation of the lateral mixing coefficient is introduced 
-in which the surface value is \np{aht0} (\np{ahm0}), the bottom value is 1/4 of 
-the surface value, and the transition takes place around z=300~m with a width 
-of 300~m ($i.e.$ both the depth and the width of the inflection point are set to 300~m). 
+mixing coefficients will require 3D arrays. In the 1D option, a hyperbolic variation 
+of the lateral mixing coefficient is introduced in which the surface value is 
+\np{rn\_aht0} (\np{rn\_ahm0}), the bottom value is 1/4 of the surface value, 
+and the transition takes place around z=300~m with a width of 300~m 
+($i.e.$ both the depth and the width of the inflection point are set to 300~m). 
 This profile is hard coded in file \hf{ldftra\_c1d}, but can be easily modified by users.
 
@@ -81,23 +86,23 @@
    \begin{aligned}
          & \frac{\max(e_1,e_2)}{e_{max}} A_o^l  			& \text{for laplacian operator } \\
-         & \frac{\max(e_1,e_2)^{3}}{e_{max}^{3}} A_o^l  & \text{for bilaplacian operator } 
+         & \frac{\max(e_1,e_2)^{3}}{e_{max}^{3}} A_o^l          & \text{for bilaplacian operator } 
    \end{aligned}    \right.
-\quad \text{comments}
 \end{equation}
 where $e_{max}$ is the maximum of $e_1$ and $e_2$ taken over the whole masked 
-ocean domain, and $A_o^l$ is the \np{ahm0} (momentum) or \np{aht0} (tracer) 
+ocean domain, and $A_o^l$ is the \np{rn\_ahm0} (momentum) or \np{rn\_aht0} (tracer) 
 namelist parameter. This variation is intended to reflect the lesser need for subgrid 
 scale eddy mixing where the grid size is smaller in the domain. It was introduced in 
-the context of the DYNAMO modelling project \citep{Willebrand2001}. 
-%%%
-\gmcomment { not only that! stability reasons: with non uniform grid size, it is common 
-to face a blow up of the model due to to large diffusive coefficient compare to the smallest 
-grid size... this is especially true for bilaplacian (to be added in the text!)  }
+the context of the DYNAMO modelling project \citep{Willebrand_al_PO01}. 
+Note that such a grid scale dependance of mixing coefficients significantly increase 
+the range of stability of model configurations presenting large changes in grid pacing 
+such as global ocean models. Indeed, in such a case, a constant mixing coefficient 
+can lead to a blow up of the model due to large coefficient compare to the smallest 
+grid size (see \S\ref{STP_forward_imp}), especially when using a bilaplacian operator.
 
 Other formulations can be introduced by the user for a given configuration. 
 For example, in the ORCA2 global ocean model (\key{orca\_r2}), the laplacian 
-viscosity operator uses \np{ahm0}~=~$4.10^4 m^2/s$ poleward of 20$^{\circ}$ 
-north and south and decreases linearly to \np{aht0}~=~$2.10^3 m^2/s$ 
-at the equator \citep{Madec1996, Delecluse_Madec_Bk00}. This modification 
+viscosity operator uses \np{rn\_ahm0}~= 4.10$^4$ m$^2$/s poleward of 20$^{\circ}$ 
+north and south and decreases linearly to \np{rn\_aht0}~= 2.10$^3$ m$^2$/s 
+at the equator \citep{Madec_al_JPO96, Delecluse_Madec_Bk00}. This modification 
 can be found in routine \rou{ldf\_dyn\_c2d\_orca} defined in \mdl{ldfdyn\_c2d}. 
 Similar modified horizontal variations can be found with the Antarctic or Arctic 
@@ -121,4 +126,6 @@
 and both \key{traldf\_eiv} and \key{traldf\_c2d} are defined.
 
+$\ $\newline    % force a new ligne
+
 A space variation in the eddy coefficient appeals several remarks:
 
@@ -135,5 +142,5 @@
 (3) for isopycnal diffusion on momentum or tracers, an additional purely 
 horizontal background diffusion with uniform coefficient can be added by 
-setting a non zero value of \np{ahmb0} or \np{ahtb0}, a background horizontal 
+setting a non zero value of \np{rn\_ahmb0} or \np{rn\_ahtb0}, a background horizontal 
 eddy viscosity or diffusivity coefficient (namelist parameters whose default 
 values are $0$). However, the technique used to compute the isopycnal 
@@ -150,6 +157,8 @@
 (6) it is possible to use both the laplacian and biharmonic operators concurrently.
 
-(7) for testing purposes it is possible to run without lateral diffusion on momentum.
-
+(7) it is possible to run without explicit lateral diffusion on momentum (\np{ln\_dynldf\_lap} = 
+\np{ln\_dynldf\_bilap} = false). This is recommended when using the UBS advection 
+scheme on momentum (\np{ln\_dynadv\_ubs} = true, see \ref{DYN_adv_ubs}) 
+and can be useful for testing purposes.
 
 % ================================================================
@@ -162,5 +171,5 @@
 %%%
 \gmcomment{  we should emphasize here that the implementation is a rather old one. 
-Better work can be achieved by using \citet{Griffies1998, Griffies2004} iso-neutral scheme. }
+Better work can be achieved by using \citet{Griffies_al_JPO98, Griffies_Bk04} iso-neutral scheme. }
 
 A direction for lateral mixing has to be defined when the desired operator does 
@@ -172,6 +181,6 @@
 quantity to be diffused. For a tracer, this leads to the following four slopes : 
 $r_{1u}$, $r_{1w}$, $r_{2v}$, $r_{2w}$ (see \eqref{Eq_tra_ldf_iso}), while 
-for momentum the slopes are  $r_{1T}$, $r_{1uw}$, $r_{2f}$, $r_{2uw}$ for 
-$u$ and  $r_{1f}$, $r_{1vw}$, $r_{2T}$, $r_{2vw}$ for $v$. 
+for momentum the slopes are  $r_{1t}$, $r_{1uw}$, $r_{2f}$, $r_{2uw}$ for 
+$u$ and  $r_{1f}$, $r_{1vw}$, $r_{2t}$, $r_{2vw}$ for $v$. 
 
 %gm% add here afigure of the slope in i-direction
@@ -190,15 +199,15 @@
 \begin{aligned}
  r_{1u} &= \frac{e_{3u}}{ \left( e_{1u}\;\overline{\overline{e_{3w}}}^{\,i+1/2,\,k} \right)}
- 			  \;\delta_{i+1/2}[z_T] 
- 		&\approx \frac{1}{e_{1u}}\; \delta_{i+1/2}[z_T] 
+ 			  \;\delta_{i+1/2}[z_t] 
+ 		&\approx \frac{1}{e_{1u}}\; \delta_{i+1/2}[z_t] 
 \\
  r_{2v} &= \frac{e_{3v}}{\left( e_{2v}\;\overline{\overline{e_{3w}}}^{\,j+1/2,\,k} \right)} 
- 			  \;\delta_{j+1/2} [z_T] 
-		&\approx \frac{1}{e_{2v}}\; \delta_{j+1/2}[z_T] 
-\\
- r_{1w} &= \frac{1}{e_{1w}}\;\overline{\overline{\delta_{i+1/2}[z_T]}}^{\,i,\,k+1/2}
+ 			  \;\delta_{j+1/2} [z_t] 
+		&\approx \frac{1}{e_{2v}}\; \delta_{j+1/2}[z_t] 
+\\
+ r_{1w} &= \frac{1}{e_{1w}}\;\overline{\overline{\delta_{i+1/2}[z_t]}}^{\,i,\,k+1/2}
  		&\approx \frac{1}{e_{1w}}\; \delta_{i+1/2}[z_{uw}] 
  \\
- r_{2w} &= \frac{1}{e_{2w}}\;\overline{\overline{\delta_{j+1/2}[z_T]}}^{\,j,\,k+1/2}
+ r_{2w} &= \frac{1}{e_{2w}}\;\overline{\overline{\delta_{j+1/2}[z_t]}}^{\,j,\,k+1/2}
 		&\approx \frac{1}{e_{2w}}\; \delta_{j+1/2}[z_{vw}] 
  \\
@@ -268,5 +277,5 @@
 there is no specific treatment for iso-neutral mixing in the $s$-coordinate. 
 In other words, iso-neutral mixing will only be accurately represented with a 
-linear equation of state (\np{neos}=1 or 2). In the case of a "true" equation 
+linear equation of state (\np{nn\_eos}=1 or 2). In the case of a "true" equation 
 of state, the evaluation of $i$ and $j$ derivatives in \eqref{Eq_ldfslp_iso} 
 will include a pressure dependent part, leading to the wrong evaluation of 
@@ -276,5 +285,5 @@
 Note: The solution for $s$-coordinate passes trough the use of different 
 (and better) expression for the constraint on iso-neutral fluxes. Following 
-\citet{Griffies2004}, instead of specifying directly that there is a zero neutral 
+\citet{Griffies_Bk04}, instead of specifying directly that there is a zero neutral 
 diffusive flux of locally referenced potential density, we stay in the $T$-$S$ 
 plane and consider the balance between the neutral direction diffusive fluxes 
@@ -328,6 +337,6 @@
 a minimum background horizontal diffusion for numerical stability reasons. 
 To overcome this problem, several techniques have been proposed in which 
-the numerical schemes of the ocean model are modified \citep{Weaver1997, 
-Griffies1998}. Here, another strategy has been chosen \citep{Lazar1997}: 
+the numerical schemes of the ocean model are modified \citep{Weaver_Eby_JPO97, 
+Griffies_al_JPO98}. Here, another strategy has been chosen \citep{Lazar_PhD97}: 
 a local filtering of the iso-neutral slopes (made on 9 grid-points) prevents 
 the development of grid point noise generated by the iso-neutral diffusion 
@@ -341,5 +350,5 @@
 
 Nevertheless, this iso-neutral operator does not ensure that variance cannot increase, 
-contrary to the \citet{Griffies1998} operator which has that property. 
+contrary to the \citet{Griffies_al_JPO98} operator which has that property. 
 
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -359,10 +368,10 @@
 
 
-In addition and also for numerical stability reasons \citep{Cox1987, Griffies2004}, 
+In addition and also for numerical stability reasons \citep{Cox1987, Griffies_Bk04}, 
 the slopes are bounded by $1/100$ everywhere. This limit is decreasing linearly 
 to zero fom $70$ meters depth and the surface (the fact that the eddies "feel" the 
 surface motivates this flattening of isopycnals near the surface).
 
-For numerical stability reasons \citep{Cox1987, Griffies2004}, the slopes must also 
+For numerical stability reasons \citep{Cox1987, Griffies_Bk04}, the slopes must also 
 be bounded by $1/100$ everywhere. This constraint is applied in a piecewise linear 
 fashion, increasing from zero at the surface to $1/100$ at $70$ metres and thereafter 
@@ -402,6 +411,6 @@
 \begin{equation} \label{Eq_ldfslp_dyn}
 \begin{aligned}
-&r_{1T}\ \ = \overline{r_{1u}}^{\,i}       &&&    r_{1f}\ \ &= \overline{r_{1u}}^{\,i+1/2} \\
-&r_{2f} \ \ = \overline{r_{2v}}^{\,j+1/2} &&& 	r_{2T}\ &= \overline{r_{2v}}^{\,j} \\
+&r_{1t}\ \ = \overline{r_{1u}}^{\,i}       &&&    r_{1f}\ \ &= \overline{r_{1u}}^{\,i+1/2} \\
+&r_{2f} \ \ = \overline{r_{2v}}^{\,j+1/2} &&& 	r_{2t}\ &= \overline{r_{2v}}^{\,j} \\
 &r_{1uw}  = \overline{r_{1w}}^{\,i+1/2} &&\ \ \text{and} \ \ &   r_{1vw}&= \overline{r_{1w}}^{\,j+1/2} \\
 &r_{2uw}= \overline{r_{2w}}^{\,j+1/2} &&&         r_{2vw}&= \overline{r_{2w}}^{\,j+1/2}\\
@@ -437,5 +446,5 @@
 \end{equation}
 where $A^{eiv}$ is the eddy induced velocity coefficient whose value is set 
-through \np{aeiv}, a \textit{nam\_traldf} namelist parameter. 
+through \np{rn\_aeiv}, a \textit{nam\_traldf} namelist parameter. 
 The three components of the eddy induced velocity are computed and add 
 to the eulerian velocity in \mdl{traadv\_eiv}. This has been preferred to a 