Index: branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 2281)
+++ branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 2290)
@@ -206,59 +206,59 @@
 
      <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
-       <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mol-C/L" />
+       <field id="DIC"      description="Dissolved inorganic Concentration"        unit="molC/L" />
        <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L"    />
-       <field id="O2"       description="Oxygen Concentration"                     unit="mol-C/L" />
-       <field id="CaCO3"    description="Calcite Concentration"                    unit="mol-C/L" />
-       <field id="PO4"      description="Phosphate Concentration"                  unit="mol-C/L" />
-       <field id="POC"      description="Small organic carbon Concentration"       unit="mol-C/L" />
-       <field id="Si"       description="Silicate Concentration"                   unit="mol-C/L" />
-       <field id="PHY"      description="Nanophytoplankton Concentration"          unit="mol-C/L" />
-       <field id="ZOO"      description="Microzooplankton Concentration"           unit="mol-C/L" />
-       <field id="DOC"      description="Dissolved organic Concentration"          unit="mol-C/L" />
-       <field id="PHY2"     description="Diatoms Concentration"                    unit="mol-C/L" />
-       <field id="ZOO2"     description="Mesozooplankton Concentration"            unit="mol-C/L" />
-       <field id="BSi"      description="Diatoms Silicate Concentration"           unit="mol-C/L" />
-       <field id="Fer"      description="Dissolved Iron Concentration"             unit="mol-C/L" />
-       <field id="BFe"      description="Big iron particles Concentration"         unit="mol-C/L" />
-       <field id="GOC"      description="Big organic carbon Concentration"         unit="mol-C/L" />
-       <field id="SFe"      description="Small iron particles Concentration"       unit="mol-C/L" />
-       <field id="DFe"      description="Diatoms iron  Concentration"              unit="mol-C/L" />
-       <field id="DSi"      description="Sinking biogenic Silicate Concentration"  unit="mol-C/L" />
-       <field id="NFe"      description="Nano iron Concentration"                  unit="mol-C/L" />
-       <field id="NCHL"     description="Nano chlorophyl Concentration"            unit="mol-C/L" />
-       <field id="DCHL"     description="Diatoms chlorophyl Concentration"         unit="mol-C/L" />
-       <field id="NO3"      description="Nitrates Concentration"                   unit="mol-C/L" />
-       <field id="NH4"      description="Ammonium Concentration"                   unit="mol-C/L" />
+       <field id="O2"       description="Oxygen Concentration"                     unit="molO2/L" />
+       <field id="CaCO3"    description="Calcite Concentration"                    unit="molC/L" />
+       <field id="PO4"      description="Phosphate Concentration"                  unit="molC/L" />
+       <field id="POC"      description="Small organic carbon Concentration"       unit="molC/L" />
+       <field id="Si"       description="Silicate Concentration"                   unit="molSi/L" />
+       <field id="PHY"      description="Nanophytoplankton Concentration"          unit="molC/L" />
+       <field id="ZOO"      description="Microzooplankton Concentration"           unit="molC/L" />
+       <field id="DOC"      description="Dissolved organic Concentration"          unit="molC/L" />
+       <field id="PHY2"     description="Diatoms Concentration"                    unit="molC/L" />
+       <field id="ZOO2"     description="Mesozooplankton Concentration"            unit="molC/L" />
+       <field id="BSi"      description="Diatoms Silicate Concentration"           unit="molC/L" />
+       <field id="Fer"      description="Dissolved Iron Concentration"             unit="molFe/L" />
+       <field id="BFe"      description="Big iron particles Concentration"         unit="molFe/L" />
+       <field id="GOC"      description="Big organic carbon Concentration"         unit="molC/L" />
+       <field id="SFe"      description="Small iron particles Concentration"       unit="molFe/L" />
+       <field id="DFe"      description="Diatoms iron  Concentration"              unit="molFe/L" />
+       <field id="DSi"      description="Sinking biogenic Silicate Concentration"  unit="molC/L" />
+       <field id="NFe"      description="Nano iron Concentration"                  unit="molC/L" />
+       <field id="NCHL"     description="Nano chlorophyl Concentration"            unit="gChl/L" />
+       <field id="DCHL"     description="Diatoms chlorophyl Concentration"         unit="gChl/L" />
+       <field id="NO3"      description="Nitrates Concentration"                   unit="molC/L" />
+       <field id="NH4"      description="Ammonium Concentration"                   unit="molC/L" />
      </group>
 
-      <!-- diad on T grid -->
+      <!-- diad on T grid : variables available with key_diatrc -->
 
      <group id="diad_T" axis_ref="none" grid_ref="grid_T">
-       <field id="PH"          description="PH"                                       unit="-"            axis_ref="deptht" />
-       <field id="CO3"         description="Bicarbonates"                             unit="mol/L"        axis_ref="deptht" />
-       <field id="CO3sat"      description="CO3 saturation"                           unit="mol/L"        axis_ref="deptht" />
-       <field id="PAR"         description="Photosynthetically Available Radiation"   unit="W/m2"         axis_ref="deptht" />
-       <field id="PPPHY"       description="Primary production of nanophyto"          unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="PPPHY2"      description="Primary production of diatoms"            unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="PBSi"        description="Primary production of Si diatoms"         unit="mol-Si/m3/s"  axis_ref="deptht" />
-       <field id="PFeN"        description="Primary production of nano iron"          unit="mol-Fe/m3/s"  axis_ref="deptht" />
-       <field id="PFeD"        description="Primary production of diatoms iron"       unit="mol-Fe/m3/s"  axis_ref="deptht" />
-       <field id="PCAL"        description="Calcite production"                       unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="DCAL"        description="Calcite dissolution"                      unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="GRAZ"        description="Grazing by zooplankton"                   unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="Nfix"        description="Nitrogen fixation at surface"             unit="mol-N/m2/s"      />
-       <field id="EPC100"      description="Export of carbon particles at 100 m"      unit="mol-C/m2/s"      />
-       <field id="EPFE100"     description="Export of biogenic iron at 100 m"         unit="mol-Fe/m2/s"     />
-       <field id="EPSI100"     description="Export of Silicate at 100 m"              unit="mol-Si/m2/s"     />
-       <field id="EPCAL100"    description="Export of Calcite at 100 m"               unit="mol-C/m2/s"      />
-       <field id="Cflx"        description="DIC flux"                                 unit="mol-C/m2/s"      />
-       <field id="Oflx"        description="Oxygen flux"                              unit="mol-C/m2/s" />
-       <field id="Kg"          description="Gas transfer"                             unit="mol-C/m2/s/uatm" />
-       <field id="Dpco2"       description="Delta CO2"                                unit="uatm" />
-       <field id="Dpo2"        description="Delta O2"                                 unit="uatm" />
-       <field id="Heup"        description="Euphotic layer depth"                     unit="m" />
-       <field id="Irondep"     description="Iron deposition"                          unit="mol-Fe/m2/s" />
+       <field id="PH"          description="PH"                                       unit="-"           axis_ref="deptht" />
+       <field id="CO3"         description="Bicarbonates"                             unit="mol/L"       axis_ref="deptht" />
+       <field id="CO3sat"      description="CO3 saturation"                           unit="mol/L"       axis_ref="deptht" />
+       <field id="PAR"         description="Photosynthetically Available Radiation"   unit="W/m2"        axis_ref="deptht" />
+       <field id="PPPHY"       description="Primary production of nanophyto"          unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY2"      description="Primary production of diatoms"            unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="PBSi"        description="Primary production of Si diatoms"         unit="molSi/m3/s"  axis_ref="deptht" />
+       <field id="PFeN"        description="Primary production of nano iron"          unit="molFe/m3/s"  axis_ref="deptht" />
+       <field id="PFeD"        description="Primary production of diatoms iron"       unit="molFe/m3/s"  axis_ref="deptht" />
+       <field id="PCAL"        description="Calcite production"                       unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="DCAL"        description="Calcite dissolution"                      unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="GRAZ"        description="Grazing by zooplankton"                   unit="molC/m3/s"   axis_ref="deptht" />
+       <field id="Nfix"        description="Nitrogen fixation at surface"             unit="molN/m2/s"      />
+       <field id="EPC100"      description="Export of carbon particles at 100 m"      unit="molC/m2/s"      />
+       <field id="EPFE100"     description="Export of biogenic iron at 100 m"         unit="molFe/m2/s"     />
+       <field id="EPSI100"     description="Export of Silicate at 100 m"              unit="molSi/m2/s"     />
+       <field id="EPCAL100"    description="Export of Calcite at 100 m"               unit="molC/m2/s"      />
+       <field id="Cflx"        description="DIC flux"                                 unit="molC/m2/s"      />
+       <field id="Oflx"        description="Oxygen flux"                              unit="molC/m2/s"      />
+       <field id="Kg"          description="Gas transfer"                             unit="molC/m2/s/uatm" />
+       <field id="Dpco2"       description="Delta CO2"                                unit="uatm"            />
+       <field id="Dpo2"        description="Delta O2"                                 unit="uatm"            />
+       <field id="Heup"        description="Euphotic layer depth"                     unit="m"               />
+       <field id="Irondep"     description="Iron deposition"                          unit="molFe/m2/s"     />
      </group>
        